@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-padding-top: 48px;
    font-family: "Inter", sans-serif;
    line-height: 100%;
}

img {
    width: 100%;
}

button,
input,
textarea {
    border: none;
    outline: none;
    background: transparent;
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    max-width: 1440px;
}

/* Head Section */
.head {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.head h3 {
    font-size: 16px;
    font-weight: 400;
    color: #6e828a;
    text-align: center;
    margin-bottom: 4px;
}

.head h2 {
    font-weight: bold;
    font-size: 36px;
    text-align: center;
}

.head a {
    margin-top: 12px;
    color: #fff;
    font-size: 14px;
    padding: 15px 20px;
    border-radius: 10px;
    background-color: #000;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.head a:hover {
    background: #a0988a;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

@media(max-width:810px) {
    .container {
        padding: 0 16px;
    }

    .head h2 {
        font-size: 28px;
    }
}

/* End Head */
header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 24px 0;
    z-index: 100;
}

.header-content {
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo {
    width: 113.75px;
}

.header-nav {
    gap: 24px;
    display: flex;
    align-items: center;
}

.nav-link {
    color: #000;
    font-size: 14px;
    font-weight: 600;
    transition: 0.4s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.nav-link:hover {
    color: #a0988a;
    transition: 0.4s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.nav-link.open-page {
    color: #a0988a;
}

.header-action {
    gap: 16px;
    display: flex;
    align-items: center;
}

.header-action .bx {
    color: #000;
    font-size: 20px;
    transition: all 0.3s ease;
}

.header-action .bx:hover {
    transform: translateY(-2.5px);
    transition: all 0.3s ease;
}

.menu-icon {
    display: none;
    flex-direction: column;
    align-items: center;
    row-gap: 4px;
    cursor: pointer;
    z-index: 200;
    transition: 0.3s;
    padding: 5px 0 5px 5px;
}

.menu-icon div {
    display: block;
    background: #000;
    height: 2px;
    width: 20px;
    transition: 0.3s;
}

.move .line1 {
    transform: rotate(-45deg) translate(-4px, 4px);
}

.move .line2 {
    opacity: 0;
}

.move .line3 {
    transform: rotate(45deg) translate(-5px, -4px);
}

@media(max-width:810px) {
    .header-nav {
        position: absolute;
        flex-direction: column;
        top: 78px;
        right: 50%;
        transform: translateX(50%);
        width: 95%;
        padding: 24px;
        background: rgb(242, 242, 242);
        -webkit-filter: drop-shadow(rgba(0, 0, 0, 0.5) 0px 10px 25px 0px);
        filter: drop-shadow(rgba(0, 0, 0, 0.5) 0px 10px 25px 0px);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
        transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
        z-index: 1;
    }

    .header-nav::before,
    .header-nav::after {
        content: "";
        position: absolute;
        transition: width 0.5s, height 0.5s;
        box-sizing: border-box;
    }

    .header-nav::before {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        border-top: 4px solid #a0988a;
        border-left: 4px solid #a0988a;

    }

    .header-nav::after {
        bottom: 0;
        right: 0;
        width: 0;
        height: 0;
        border-bottom: 4px solid #a0988a;
        border-right: 4px solid #a0988a;

    }

    .header-nav.open-menu::before,
    .header-nav.open-menu::after {
        width: 20%;
        height: 30%;
    }


    .open-menu {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
        transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
    }

    .nav-link {
        text-align: end;
    }

    .header-action .bx {
        font-size: 18px;
    }

    .header-action .bxl-instagram {
        display: none;
    }

    .menu-icon {
        display: flex;
    }
}

/* End Header */

.hero {
    padding-bottom: 48px;
    background: linear-gradient(180deg, #ffffff 0%, rgb(242, 242, 242) 100%);
}

.hero .container {
    background-image: url(../img/hero/hero-bg.webp);
    background-position: 100% 50%;
    background-repeat: no-repeat;
    background-size: contain;
}

.hero-content {
    gap: 32px;
    display: flex;
    align-items: center;
    padding: 140px 0px 48px 0px;
}

.hero-info {
    width: 100%;
    max-width: 684px;
}

.hero-info h1 {
    font-size: 60px;
    margin-bottom: 20px;
}

.hero-info p {
    max-width: 450px;
    font-size: 14px;
    line-height: 120%;
    color: rgb(110, 130, 138);
}

.hero-img {
    width: 100%;
    max-width: 684px;
}

.hero-img img {
    width: 100%;
}

.form-notice {
    text-align: left;
    max-width: 550px;
    margin: 0 auto;
}

.hero-form {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px 12px 12px 24px;
    background: #fff;
    border-radius: 10px;
    max-width: 550px;
    margin: 0 auto;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px;
}

.hero-form input {
    width: 100%;
    font-size: 16px;
}

.form-button {
    padding: 13px;
    cursor: pointer;
    background: #000;
    border-radius: 12px;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.form-button:hover {
    background: #a0988a;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.form-button .bx {
    color: #fff;
    font-size: 18px;
}

.form-notice {
    line-height: 120%;
    padding: 10px 0 5px 0px;
    font-size: 14px;
    text-align: center;
    color:#000;
    font-weight:600;
}

@media(max-width:1100px) {
    .hero .container {
        background-position: 100% 100%;
        background-size: 80%;
    }

    .hero-content {
        gap: 48px;
        flex-direction: column;
    }

    .hero-info {
        text-align: center;
    }

    .hero-info h1 {
        font-size: 56px;
        margin-bottom: 10px;
    }

    .hero-info p {
        max-width: 330px;
        margin: 0 auto;
    }

    .hero-img {
        max-width: 900px;
    }
}

@media(max-width:1000px) {
    .hero .container {
        background-position: 100% 100%;
        background-size: 90%;
    }
}

@media(max-width:810px) {
    .hero {
        padding-bottom: 32px;
    }

    .hero .container {
        background-position: 100% 100%;
    }

    .hero-content {
        gap: 32px;
        background-size: contain;
        padding: 140px 0px 32px 0px;
    }

    .hero-info h1 {
        font-size: 44px;
    }

    .hero-form {
        padding: 8px 8px 8px 16px;
    }
}

@media(max-width:560px) {
    .hero .container {
        background-position: 100% 75%;
        background-size: contain;
    }

    .hero-content {
        padding: 100px 0px 32px 0px;
    }

    .hero-info h1 {
        font-size: 40px;
    }
}

/* End Hero */

.brand {
    width: 100%;
    padding: 24px 0;
    border-bottom: 1px solid #cccada;
}

.brand-content {
    display: flex;
    gap: 60px;
    overflow-x: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    width: 100%;
    max-width: 1440px;
    position: relative;
}

.brand-content::before,
.brand-content::after {
    content: '';
    position: absolute;
    top: 0;
    height: 100%;
    width: 15px;
    pointer-events: none;
    z-index: 1;
}

.brand-content::before {
    left: 0px;
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
}

.brand-content::after {
    right: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
}

.brand-list {
    animation: brand-row 40s linear infinite;
    display: flex;
    flex-shrink: 0;
    gap: 60px;
}

.brand-list img {
    width: auto;
    height: 28px;
    filter: grayscale(100%);
    object-fit: contain;
}

.brand-list img:nth-child(1),
.brand-list img:nth-child(5),
.brand-list img:nth-child(6),
.brand-list img:nth-child(7) {
    height: 25px;
}

@keyframes brand-row {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

/* End Brand */
.order {
    padding: 64px 0;
}

.order-content {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 48px;
}

.order-step {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.order-step div {
    width: 64px;
    height: 64px;
    padding: 13px;
    cursor: pointer;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    background: #6e828a;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.order-step div:hover {
    background: #454f53;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.order-step div .bx {
    color: #fff;
    font-size: 20px;
}

.order-step h3 {
    margin-bottom: 10px;
}

.order-step p {
    font-size: 14px;
    max-width: 290px;
    text-align: center;
    color: rgb(131, 126, 123);
}

.order-line {
    width: 64px;
    height: 1px;
    background: rgb(131, 126, 123);
}

@media(max-width:810px) {
    .order-content {
        gap: 24px;
        flex-direction: column;
    }

    .order-line {
        display: none;
    }
}

/* End Order */
.comfort {}

.comfort-content {
    gap: 24px;
    display: flex;
    align-items: center;
}

.comfort-item {
    width: 50%;
    max-width: 688px;
    position: relative;
}

.comfort-item div {
    color: #fff;
    text-align: center;
}

.comfort-item div h4 {
    font-size: 20px;
    margin-bottom: 10px;
}

.comfort-item div p {
    font-size: 14px;
    line-height: 120%;
}

.comfort-item div {
    position: absolute;
    background: #454f53;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    z-index: 1;
    border-radius: 24px;
    padding: 24px;
}

.comfort-item img {
    border-radius: 24px;
    filter: sepia(20%) opacity(100%);
}

@media(max-width:1100px) {
    .comfort-item div h4 {
        font-size: 18px;
    }

    .comfort-item div p {
        font-size: 12px;
    }
}

@media(max-width:810px) {
    .comfort-content {
        gap: 12px;
        flex-direction: column;
    }

    .comfort-item {
        width: 100%;
        height: 340px;
        max-width: 100%;
    }

    .comfort-item img {
        height: 340px;
        object-fit: cover;
    }

    .comfort-item div {
        padding: 24px;
    }

    .comfort-item div h4 {
        font-size: 16px;
    }
}

/* End Comfort */

.car {
    padding: 64px 0;
}

.car-page {
    padding-top: 125px;
}

.car-content {
    gap: 24px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 48px;
}

.car-item {
    padding: 20px;
    border-radius: 12px;
    border: 1px solid #cccada;
}

.car-img {
    border-radius: 10px;
}

.car-item img {
    border-radius: 10px;
    transition: all 0.3s ease;
}

.car-item:hover .car-img img {
    transition: all 0.3s ease;
    transform: scale(1.05);
}

.car-img {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.car-detail {
    gap: 12px;
    display: flex;
    align-items: center;
    margin-top: 20px;

}

.detail-img {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    width: 40px;
    height: 40px;
    border: 1px solid #cccada;
    border-radius: 50%;
}

.car-info {
    gap: 4px;
    display: flex;
    flex-direction: column;
}

.car-info h2 {
    font-size: 20px;

}

.info-content {
    display: flex;
    align-items: center;
}

.info-content p {
    color: #6e828a;
    position: relative;
    margin-right: 15px;
    font-size: 16px;
}

.info-content p::after {
    content: '';
    position: absolute;
    right: -10px;
    top: 50%;
    transform: translateY(-50%);
    height: 3px;
    width: 3px;
    border-radius: 50%;
    background-color: rgb(110, 130, 138);
}

.info-content p:last-child::after {
    display: none;
}

@media(max-width:1000px) {
    .car-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .car-info h2 {
        font-size: 18px;
    }

    .info-content p {
        font-size: 14px;
    }
}

@media(max-width:810px) {
    .car-content {
        gap: 12px;

    }
}

@media(max-width:680px) {
    .car-content {
        grid-template-columns: repeat(1, 1fr);
    }
}

.contact {
    background: rgb(242, 242, 242);
}

.contact .container {
    padding-top: 64px;
    padding-bottom: 64px;
    background: radial-gradient(ellipse at center, rgba(242, 242, 242, 0) 10%, rgb(242, 242, 242) 75%),
        url(../img/contact/map.webp);
    background-position: 100% 100%;
    background-size: 80%;
    background-repeat: no-repeat;
}

.contact-content {
    display: flex;
    align-items: center;


}

.contact-info {
    gap: 6px;
    display: flex;
    flex-direction: column;
    margin-top: 48px;
    width: 100%;
    max-width: 500px;
}

.info-details {
    width: 100%;
    max-width: 500px;
    padding: 24px;
    background: #454f53;
    border-radius: 12px;
    color: #fff;
}

.details-contact {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.details-contact a {
    font-size: 16px;
    color: inherit;
}

.details-contact .bx {
    font-size: 18px;
}

.info-details p {
    margin-top: 12px;
    color: inherit;
    font-size: 14px;
}

@media(max-width:1000px) {
    .contact .container {
        background-position: top;
    }

    .contact-content {
        justify-content: center;
    }
}


.feed {
    padding-bottom: 64px;
}

.feed-content {
    width: 100%;
    margin-top: 48px;

    /* gap: 24px;
    display: grid;
    grid-template-columns: repeat(3, 1fr); */
}

.feed-item {
    padding: 20px;
    border-radius: 12px;
    border: 1px solid #cccada;
}

.feed-head {
    gap: 6px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.feed-head img {
    width: 40px;
    border-radius: 50%;
}

.feed-star {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 10px 0;
}

.feed-star .bx {
    color: gold;
}

.feed-item p {
    line-height: 120%;
    font-size: 14px;
    text-align: center;
}

.service {
    padding-top: 125px;
}

.services-content {
    gap: 24px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-top: 48px;
    margin-bottom: 64px;
}

@media(max-width:800px) {
    .services-content {
        grid-template-columns: repeat(1, 1fr);
    }
}

.services-item {
    gap: 15px;
    display: flex;
    flex-direction: column;
}

.services-item img {
    border-radius: 24px;
}

.services-item h4 {
    font-size: 24px;
}

.services-item p {
    font-size: 14px;
    line-height: 120%;
}

footer {
    padding: 24px;
    background: #000;
}

.footer-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-logo {
    width: 113.75px;
}

.footer-action {
    gap: 16px;
    display: flex;
    align-items: center;
}

.footer-action .bx {
    color: #fff;
    font-size: 20px;
    transition: all 0.3s ease;
}

.footer-action .bx:hover {
    transform: translateY(-2.5px);
    transition: all 0.3s ease;
}

.footer-under {
    width: 100%;
    padding-top: 24px;
    margin-top: 24px;
    padding-bottom: 24px;
    border-top: 1px solid #cccada7c;
}

footer p {
    color: #ffff;
    font-size: 14px;
    margin-top: 15px;
}